
//==============================
//PortB
//==============================
#define CS_AFFICHEURS 7 //voir port D (pin 7) sur le schematic 
#define MOSI	3
#define MISO	4
#define SCK     5

//==============================
//PortD
//==============================
#define RX_IN	0
#define TX_OUT	1
//==============================
//Global Macro Definitions
//==============================
#define sbi(var, mask)   ((var) |= (uint8_t)(1 << mask))
#define cbi(var, mask)   ((var) &= (uint8_t)~(1 << mask))

//==============================
//Function Definitions
//==============================
void init_afficheurs(void); 

uint8_t spi_exch(uint8_t output); 

void write_led_numbers(uint8_t* tab);

int afficheurs_main(void);
